### Hierarchy

- WalletUtils

## Index

### Properties

- WALLET_VALIDATOR

### Methods

- createAppWalletData
- createBtcWalletData
- createEthereumWalletData
- validateWalletsData

## Properties

### Static WALLET_VALIDATOR

WALLET_VALIDATOR: WalletValidatorStrategy = new WalletValidatorStrategy()

- Defined in utils/WalletUtils.ts:21

## Methods

### Static createAppWalletData

- createAppWalletData(baseId: string, validation?: boolean): AppWalletData

- - Defined in utils/WalletUtils.ts:85

  #### Parameters

  - ##### baseId: string

  - ##### Optional validation: boolean

  #### Returns AppWalletData

### Static createBtcWalletData

- createBtcWalletData(baseId: string, address: string, privateKey: string, validation?: boolean): BtcWalletData

- - Defined in utils/WalletUtils.ts:63

  #### Parameters

  - ##### baseId: string

  - ##### address: string

  - ##### privateKey: string

  - ##### Optional validation: boolean

  #### Returns BtcWalletData

### Static createEthereumWalletData

- createEthereumWalletData(baseId: string, address: string, privateKey: string, validation?: boolean): EthWalletData

- - Defined in utils/WalletUtils.ts:47

  #### Parameters

  - ##### baseId: string

  - ##### address: string

  - ##### privateKey: string

  - ##### Optional validation: boolean

  #### Returns EthWalletData

### Static validateWalletsData

- validateWalletsData(baseId: string, cryptoWallets: CryptoWalletsData): Array<ValidationResult<StringSignedMessage>>

- - Defined in utils/WalletUtils.ts:23

  #### Parameters

  - ##### baseId: string

  - ##### cryptoWallets: CryptoWalletsData

  #### Returns Array<ValidationResult<StringSignedMessage>>

Generated using TypeDoc